Skip to content
Start here

Update Fallback Origin for Custom Hostnames

client.CustomHostnames.FallbackOrigin.Update(ctx, params) (*FallbackOriginUpdateResponse, error)
PUT/zones/{zone_id}/custom_hostnames/fallback_origin

Updates the fallback origin configuration for custom hostnames on a zone. Sets the default origin server for custom hostname traffic.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
SSL and Certificates Write
ParametersExpand Collapse
params FallbackOriginUpdateParams
ZoneID param.Field[string]

Path param: Identifier.

maxLength32
Origin param.Field[string]

Body param: Your origin hostname that requests to your custom hostnames will be sent to.

maxLength255
ReturnsExpand Collapse
type FallbackOriginUpdateResponse struct{…}
CreatedAt Timeoptional

This is the time the fallback origin was created.

formatdate-time
Errors []stringoptional

These are errors that were encountered while trying to activate a fallback origin.

Origin stringoptional

Your origin hostname that requests to your custom hostnames will be sent to.

maxLength255
Status FallbackOriginUpdateResponseStatusoptional

Status of the fallback origin's activation.

One of the following:
const FallbackOriginUpdateResponseStatusInitializing FallbackOriginUpdateResponseStatus = "initializing"
const FallbackOriginUpdateResponseStatusPendingDeployment FallbackOriginUpdateResponseStatus = "pending_deployment"
const FallbackOriginUpdateResponseStatusPendingDeletion FallbackOriginUpdateResponseStatus = "pending_deletion"
const FallbackOriginUpdateResponseStatusActive FallbackOriginUpdateResponseStatus = "active"
const FallbackOriginUpdateResponseStatusDeploymentTimedOut FallbackOriginUpdateResponseStatus = "deployment_timed_out"
const FallbackOriginUpdateResponseStatusDeletionTimedOut FallbackOriginUpdateResponseStatus = "deletion_timed_out"
UpdatedAt Timeoptional

This is the time the fallback origin was updated.

formatdate-time

Update Fallback Origin for Custom Hostnames

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/custom_hostnames"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  fallbackOrigin, err := client.CustomHostnames.FallbackOrigin.Update(context.TODO(), custom_hostnames.FallbackOriginUpdateParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    Origin: cloudflare.F("fallback.example.com"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", fallbackOrigin.CreatedAt)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created_at": "2019-10-28T18:11:23.37411Z",
    "errors": [
      "DNS records are not setup correctly. Origin should be a proxied A/AAAA/CNAME dns record"
    ],
    "origin": "fallback.example.com",
    "status": "pending_deployment",
    "updated_at": "2020-03-16T18:11:23.531995Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "created_at": "2019-10-28T18:11:23.37411Z",
    "errors": [
      "DNS records are not setup correctly. Origin should be a proxied A/AAAA/CNAME dns record"
    ],
    "origin": "fallback.example.com",
    "status": "pending_deployment",
    "updated_at": "2020-03-16T18:11:23.531995Z"
  }
}